Bug 1081176 - writer shouldn't jump to cursor when new window is opened
Summary: writer shouldn't jump to cursor when new window is opened
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-26 17:13 UTC by David Juran
Modified: 2014-04-18 15:34 UTC (History)
6 users (show)

Fixed In Version: libreoffice-4.2.3.3-4.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-18 15:34:33 UTC
Type: Bug


Attachments (Terms of Use)

Description David Juran 2014-03-26 17:13:30 UTC
Description of problem:
When reading a (long) document one sometimes wants to check something earlier in the document. So then clicking Window -> New Window comes in handy. But when doing this, the original window scrolls to the cursor, which of course can be several pages away, completely loosing the place one was reading.
I would much prefer if writer would _not_ scroll the document on it's own accord

Version-Release number of selected component (if applicable):
libreoffice-4.2.2.1-7.fc2

How reproducible:
Every time

Steps to Reproduce:
1. Place cursor at the beginning of a document
2. Read several pages without moving the cursor
3. Window -> New Window
4. Note how your original window has scrolled (and an appropriate amount of bad language)

Comment 1 Caolan McNamara 2014-04-11 13:02:32 UTC
hmm, word count gets shown in the bottom bar, so doc stats are updated first which makes the doc modified, which makes writer want to zoom to the cursor cause there has been a mod in the document

Comment 2 Fedora Update System 2014-04-14 07:47:56 UTC
libreoffice-4.2.3.3-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreoffice-4.2.3.3-3.fc20

Comment 3 Fedora Update System 2014-04-15 15:53:13 UTC
Package libreoffice-4.2.3.3-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.2.3.3-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-5189/libreoffice-4.2.3.3-3.fc20
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-04-16 06:38:03 UTC
libreoffice-4.2.3.3-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2014-5062/libreoffice-4.2.3.3-4.fc20

Comment 5 Fedora Update System 2014-04-18 15:34:33 UTC
libreoffice-4.2.3.3-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.